import 'reflect-metadata';
import { RouteConfig } from "../interfaces/route-config";
import { routerMethod } from '../types/types';
export declare abstract class Routes {
    constructor(app: {
        router: routerMethod;
    });
    getAvailableVersions(): string[];
    callVersion(version: string, router: routerMethod): void;
    defineRoutes?(router: routerMethod): void;
}
export declare function Route(options: RouteConfig): ClassDecorator;
export declare function Version(version: string): (target: any, propertyKey: string | symbol) => void;
