import { applicationConfig } from "../interfaces/application-config";
import { AppConstructor } from "../types/types";
export declare function bootstrapApplication(APP: AppConstructor, appConfig: applicationConfig): {
    app: import("express").Express;
    prefix: string;
    router: import("../..").RouterMethods;
    setPrefix(prefix: string): void;
    httpErrorHandler: import("../..").HttpErrorHandler | undefined;
    initialCorsOptions?: import("cors").CorsOptions;
    middlewares: import("../types/types").Middleware<any, any, any, any>[];
    current_middlewares: import("../types/types").Middleware<any, any, any>[];
    setCors(corsOptions: import("cors").CorsOptions | undefined): void;
    setMiddlewares(middlewares: import("../types/types").Middleware[]): void;
};
